Package net.shibboleth.idp.saml.saml1.profile.config.impl

# Class ArtifactResolutionProfileConfiguration

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.profile.config.AbstractProfileConfiguration
net.shibboleth.profile.config.AbstractConditionalProfileConfiguration
net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration
net.shibboleth.idp.saml.profile.config.impl.AbstractSAMLProfileConfiguration
net.shibboleth.idp.saml.saml1.profile.config.impl.ArtifactResolutionProfileConfiguration

All Implemented Interfaces:
  `InterceptorAwareProfileConfiguration`, `SAMLProfileConfiguration`, `ConditionalProfileConfiguration`, `ProfileConfiguration`, `SAMLProfileConfiguration`, `ArtifactResolutionProfileConfiguration`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class ArtifactResolutionProfileConfiguration extends AbstractSAMLProfileConfiguration implements ArtifactResolutionProfileConfiguration
Configuration support for SAML 1.x artifact resolution requests.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROFILE_COUNTER`
Name of profile counter.
`private Predicate<ProfileRequestContext>`
`signAssertionsPredicate`
Predicate used to determine whether to sign assertions.

### Fields inherited from interface net.shibboleth.saml.saml1.profile.config.ArtifactResolutionProfileConfiguration

`PROFILE_ID`

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ArtifactResolutionProfileConfiguration()`
Constructor.
`protected`
`ArtifactResolutionProfileConfiguration(String profileId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSignAssertions(ProfileRequestContext profileRequestContext)`
`void`
`setSignAssertions(boolean flag)`
Set whether generated assertions should be signed.
`void`
`setSignAssertionsPredicate(Predicate<ProfileRequestContext> predicate)`
Set the predicate used to determine if generated assertions should be signed.

### Methods inherited from class net.shibboleth.idp.saml.profile.config.impl.AbstractSAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses, setMessageDecorator, setMessageHandler, setMessageHandlerLookupStrategy, setSignRequests, setSignRequestsPredicate, setSignResponses, setSignResponsesPredicate`

### Methods inherited from class net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration

`getInboundInterceptorFlows, getOutboundInterceptorFlows, setInboundInterceptorFlows, setInboundInterceptorFlowsLookupStrategy, setOutboundInterceptorFlows, setOutboundInterceptorFlowsLookupStrategy`

### Methods inherited from class net.shibboleth.profile.config.AbstractConditionalProfileConfiguration

`getActivationCondition, setActivationCondition`

### Methods inherited from class net.shibboleth.profile.config.AbstractProfileConfiguration

`equals, getDisallowedFeatures, getSecurityConfiguration, hashCode, isFeatureDisallowed, setDisallowedFeatures, setDisallowedFeaturesLookupStrategy, setSecurityConfiguration, setSecurityConfigurationLookupStrategy`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.idp.profile.config.InterceptorAwareProfileConfiguration

`getInboundInterceptorFlows, getOutboundInterceptorFlows`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### PROFILE_COUNTER

@Nonnull @NotEmpty public static final String PROFILE_COUNTER
Name of profile counter.

See Also:
  - Constant Field Values

### signAssertionsPredicate

@Nonnull private Predicate<ProfileRequestContext> signAssertionsPredicate
Predicate used to determine whether to sign assertions.

## Constructor Details

### ArtifactResolutionProfileConfiguration

public ArtifactResolutionProfileConfiguration()
Constructor.

### ArtifactResolutionProfileConfiguration

protected ArtifactResolutionProfileConfiguration(@Nonnull @NotEmpty String profileId)
Constructor.

Parameters:
  `profileId` - unique ID for this profile

## Method Details

### isSignAssertions

public boolean isSignAssertions(@Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `isSignAssertions` in interface `ArtifactResolutionProfileConfiguration`

### setSignAssertions

public void setSignAssertions(boolean flag)
Set whether generated assertions should be signed.

Parameters:
  `flag` - flag to set

### setSignAssertionsPredicate

public void setSignAssertionsPredicate(@Nonnull Predicate<ProfileRequestContext> predicate)
Set the predicate used to determine if generated assertions should be signed.

Parameters:
  `predicate` - predicate used to determine if generated assertions should be signed